package com.sifang.modules.sunshine.SystemSetting.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author hongzq
 */
@Entity
@Table(name = "crm_plan_material_entry")
public class CrmPlanMaterialEntry implements Serializable {
    private String id;
    private String planId;
    private String materialId;
    private String type;
    private String code;
    private String name;
    private String spec;
    private String unit;
    private String barcode;
    private Integer amount;
    private Integer sort;
    private String entryId;
    private Date createTime;
    private String status;
    private String oldFlag;
    private String sn;
    private String nbqSn;
    //todo 验证码
    private String yzCode;
    private String model;
    private String componentShape;
    private String batteryParam;

    private String projectId;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getComponentShape() {
        return componentShape;
    }

    public void setComponentShape(String componentShape) {
        this.componentShape = componentShape;
    }

    public String getBatteryParam() {
        return batteryParam;
    }

    public void setBatteryParam(String batteryParam) {
        this.batteryParam = batteryParam;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getOldFlag() {
        return oldFlag;
    }

    public void setOldFlag(String oldFlag) {
        this.oldFlag = oldFlag;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getNbqSn() {
        return nbqSn;
    }

    public void setNbqSn(String nbqSn) {
        this.nbqSn = nbqSn;
    }

    public String getYzCode() {
        return yzCode;
    }

    public void setYzCode(String yzCode) {
        this.yzCode = yzCode;
    }
}
